1. Важное и срочное обновление IPB 3.4.5 - https://nulled.cc/threads/243375/

[Помощь] IPB 2.1 не дает залогиниться, ни пользователям, ни администраторам

Тема в разделе "IPB", создана пользователем ROST, 19 окт 2018.

Модераторы: Maybe
  1. ROST

    ROST Постоялец

    Регистр.:
    30 сен 2011
    Сообщения:
    52
    Симпатии:
    3
    IPB 2.1 не дает залогиниться, ни пользователям, ни администраторам.

    Вроде как IPB версии 2.1 (смотрел в коде файлов).
    В админку зайти не получается, более точно не знаю как узнать.

    Ввожу логин и пароль по адресу admin/index.php
    Форма перегружается и ничего не происходит.

    Ввожу логин и пароль по адресу /index.php?act=Login&CODE=00
    Форма перегружается, выдается ошибка "Вы должны ввести имя пользователя".

    Переношу с сервера с PHP 5.4.16 (Centos)
    Переношу на сервер (Ubuntu) с PHP 5.3.29 и 5.4.45 (реализовано через альтернативные версии PHP для пользователя в панели ISP)
    Думал что на сервере (старом) с PHP 5.4.16 - работало, но там такая же проблема.
    Давно проектом не занимались, не контролировали его состояние.

    Как уже выше писал, пробовал на PHP 5.3.29, 5.4.16, 5.4.45 - проблема не исчезает, в админку не пускает.

    Сейчас на новом сервере PHP 7.0.32, при первой попытке запуска IPB выдалась ошибка (в логах) про magic_quotes, думал, что в этом дело.
    Поэтому пробовал разные версии PHP, и настройки magic_quotes.
    С версии 5.4З PHP magic_quotes стали не актуальны, но и на 5.3 проблему устранить не удалось.

    Стирал папку Cache - не помогло. Восстанавливал обратно.

    В логах Apache никаких ошибок нет.

    Помогите, пожалуйста, решить проблему. Проект надо восстанавливать, обновлять, заниматься им, но без админки - это невозможно. Хотя бы для начала надо почистить спамы и прочее...
     
  2. ROST

    ROST Постоялец

    Регистр.:
    30 сен 2011
    Сообщения:
    52
    Симпатии:
    3
    Предварительно разобрался. Кому интересно, дело в браузере.
    В FireFox, в Chrome - не пустило, а вот в Opera - пустило.
    Что-то поменялось в браузерах, наверное, User-agent.
    Ведь полгода назад - все пускало.
    Нашел кое-какое решение, но еще не тестировал его.
    Возможно после тестов отпишусь здесь.